Create checklist

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /checklists

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

application/json

Body Required

  • sections array[object]
    Hide sections attributes Show sections attributes object
    • name string
    • id integer(int64)
    • sectionItems array[object]
      Hide sectionItems attributes Show sectionItems attributes object
      • autoCheckConditions string
      • autoCheckType string

        Values are ACTIVITY_FILTER, ACTIVITY_CODE_TYPES_EXIST, CALENDARS_EXIST, CHANGES, CONTRACTUAL_COMPLETION_VALIDATION, COST_BASED, DATA_DATE_VALIDATION, FILE_FORMAT_VALIDATION, QUALITY_METRIC, or SCHEDULE_IS_COST_LOADED.

      • id integer(int64)
      • description string
      • displayOrder integer(int32)
    • displayOrder integer(int32)
  • name string
  • id integer(int64)

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • sections array[object]
      Hide sections attributes Show sections attributes object
      • name string
      • id integer(int64)
      • sectionItems array[object]
        Hide sectionItems attributes Show sectionItems attributes object
        • autoCheckConditions string
        • autoCheckType string

          Values are ACTIVITY_FILTER, ACTIVITY_CODE_TYPES_EXIST, CALENDARS_EXIST, CHANGES, CONTRACTUAL_COMPLETION_VALIDATION, COST_BASED, DATA_DATE_VALIDATION, FILE_FORMAT_VALIDATION, QUALITY_METRIC, or SCHEDULE_IS_COST_LOADED.

        • id integer(int64)
        • description string
        • displayOrder integer(int32)
      • displayOrder integer(int32)
    • name string
    • id integer(int64)
POST /checklists
curl \
 --request POST 'https://live.smartpmtech.com/checklists' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "sections": [
    {
      "name": "string",
      "id": 42,
      "sectionItems": [
        {
          "autoCheckConditions": "string",
          "autoCheckType": "ACTIVITY_FILTER",
          "id": 42,
          "description": "string",
          "displayOrder": 42
        }
      ],
      "displayOrder": 42
    }
  ],
  "name": "string",
  "id": 42
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "sections": [
    {
      "name": "string",
      "id": 42,
      "sectionItems": [
        {
          "autoCheckConditions": "string",
          "autoCheckType": "ACTIVITY_FILTER",
          "id": 42,
          "description": "string",
          "displayOrder": 42
        }
      ],
      "displayOrder": 42
    }
  ],
  "name": "string",
  "id": 42
}
Response examples (200)
{
  "sections": [
    {
      "name": "string",
      "id": 42,
      "sectionItems": [
        {
          "autoCheckConditions": "string",
          "autoCheckType": "ACTIVITY_FILTER",
          "id": 42,
          "description": "string",
          "displayOrder": 42
        }
      ],
      "displayOrder": 42
    }
  ],
  "name": "string",
  "id": 42
}